<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <div class="row">
          <div class="col-sm-6">
            <h3 class="box-title">Rent Payments</h3>
          </div>
          <div class="col-sm-4 fa-pull-right">
<!--            <div class="ui-inputgroup">-->
<!--              <input type="text"-->
<!--                     pInputText placeholder="Search Expense Type"-->
<!--                     [(ngModel)]="periodicPaymentType">-->
<!--              <button pButton type="button"-->
<!--                      label="Search"-->
<!--                      (click)="searchPeriodicPayment(periodicPaymentType)">-->
<!--              </button>-->
<!--            </div>-->
          </div>
          <div class="col-sm-2">
            <button class="btn btn-success btn-xs"
                    (click)="generateRentPaymentReport()">
              Generate Rent Report
            </button>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-left"
                 [columns]="columnName"
                 [value]="(data$)"
                 [resizableColumns]="true"
                 [autoLayout]="true"
                 [paginator]="true"
                 [rows]="25"
                 [showCurrentPageReport]="true">

          <ng-template pTemplate="caption">
            List of Rent Payments
            :&nbsp;{{ totalRecords }}
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1}}</td>
              <td>{{ list.created  | date: 'MMM d, y, h:mm:ss a'}}</td>
              <td>{{ list.fiscalYear }}</td>
              <td>{{ list.month}}</td>
              <td>{{ list.remarks}}</td>
              <td>{{ list.createdBy}}</td>
              <td>{{ list.status}}</td>

<!--              <td>-->
<!--&lt;!&ndash;                <p-inputSwitch&ndash;&gt;-->
<!--&lt;!&ndash;                  [name]="list.status"&ndash;&gt;-->
<!--&lt;!&ndash;                  [inputId]="list.status"&ndash;&gt;-->
<!--&lt;!&ndash;                  (onChange)="handleChange($event, list.periodicExpenseId)"&ndash;&gt;-->
<!--&lt;!&ndash;                  [ngModel]="list.status === 'ACTIVE'? true: false ">&ndash;&gt;-->
<!--&lt;!&ndash;                </p-inputSwitch>&ndash;&gt;-->
<!--              </td>-->
<!--              <td>-->
<!--&lt;!&ndash;                <a (click)="addEditPeriodicPaymentType('Edit', list)">&ndash;&gt;-->
<!--&lt;!&ndash;                  <svg class="bi bi-pencil-square"&ndash;&gt;-->
<!--&lt;!&ndash;                       width="1em"&ndash;&gt;-->
<!--&lt;!&ndash;                       height="1em"&ndash;&gt;-->
<!--&lt;!&ndash;                       viewBox="0 0 16 16"&ndash;&gt;-->
<!--&lt;!&ndash;                       fill="currentColor"&ndash;&gt;-->
<!--&lt;!&ndash;                       xmlns="http://www.w3.org/2000/svg">&ndash;&gt;-->
<!--&lt;!&ndash;                    <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>&ndash;&gt;-->
<!--&lt;!&ndash;                    <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>&ndash;&gt;-->
<!--&lt;!&ndash;                  </svg>&ndash;&gt;-->
<!--&lt;!&ndash;                </a>&ndash;&gt;-->
<!--              </td>-->
              <td>
                <button class="btn btn-success btn-xs"
                        [routerLink]="['/rent/payments', list.rentPaymentId]">
                  Process <i class=" pi pi-arrow-circle-right"></i>
                </button>
              </td>
            </tr>
          </ng-template>
        </p-table>
      </div>
      <div class="box-footer">
      </div>
    </div>
  </div>
</div>



<p-dialog [(visible)]="displayGenerateForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    Generate Rent Payment Detail
  </p-header>
  <form [formGroup]="generateRentPaymentForm">
    <div class="form-group">
      <label for="fiscalYear">Fiscal Year<span class="required">*</span></label>
      <select id="fiscalYear"
              class="form-control"
              name="fiscalYear"
              formControlName="fiscalYearId"
              [ngClass]="{ 'is-invalid': submitted && f.fiscalYearId.errors }"
              required
      >
        <option *ngFor="let event of (fiscalYears); let i = index"
                [ngValue]="(fiscalYears)[i].id"
        >{{ (fiscalYears)[i].year }}</option>
      </select>
      <div *ngIf="submitted && f.fiscalYearId.errors" class="invalid-feedback">
        <div *ngIf="f.fiscalYearId.errors.required">Fiscal Year is Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="remarks">Remarks<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="remarks"
             placeholder="Enter Remarks"
             formControlName="remarks"
             [ngClass]="{ 'is-invalid': submitted && f.remarks.errors }"
             required
      >
      <div *ngIf="submitted && f.remarks.errors" class="invalid-feedback">
        <div *ngIf="f.remarks.errors.required">Remarks is Required.</div>
      </div>
    </div>

    <p-footer>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-danger btn-block"
                  (click)="cancel()">
            Cancel
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-block"
                  [disabled]="loading"
                  (click)="submitGenerateForm()"
                  type="submit">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Submit</button>
        </div>
      </div>
    </p-footer>
  </form>
</p-dialog>
